#
# spec file for package terminus-ttf-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fontname terminus-ttf
Name:           terminus-ttf-fonts
Version:        4.49.3
Release:        1.1
Summary:        Terminus Truetype Fonts
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://files.ax86.net/terminus-ttf
Source:         https://files.ax86.net/%{fontname}/files/%{version}/%{fontname}-%{version}.zip
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Terminus TTF is a TrueType version of the great Terminus Font, a
fixed-width bitmap font optimised for long work with computers.

%prep
%setup -q -n %{fontname}-%{version}

%build
# Nothing to build.

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -m 0644 TerminusTTF*-%{version}.ttf %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc COPYING
%dir %{_ttfontsdir}/
%{_ttfontsdir}/TerminusTTF*-%{version}.ttf

%changelog
* Fri Apr 28 2023 Luigi Baldoni <aloisio@gmx.com>
- Update to version 4.49.3
  * The scalable outlines now look a lot better than before, and
    almost fully match the bitmaps.
  * Anti-aliasing might still make the outlines look not as
    crisp as the bitmaps, but in my humble opinion, they look a
    lot better than before!
  * The OS/2 vendor ID (aka the foundry ID) has been changed to
    AX86 (which is also a registered vendor ID!).
  * The Bold Italic variant now includes Bold-Italic in its font
    names, and its filename; before, those places contained Bold
    Italic.
  * A new variant has been added: Variant ll2-td1 combines the
    existing variants ll2 and td1.
* Mon May  9 2022 Luigi Baldoni <aloisio@gmx.com>
- Update to version 4.49.2
  * The td1 variant did not actually have the td1 patch applied.
* Thu Sep 23 2021 Luigi Baldoni <aloisio@gmx.com>
- Update to version 4.49.1
  * Added the basic 27 hebrew letters and sheqel, with uppercase
    height.
  * Altered ascii grave in some sizes to be more useful as a back
    quote.
  * Fixed 21B5, added 21B2 and 21B3.
* Sat Jan  5 2019 aloisio@gmx.com
- Update to version 4.47.0
  * Added 35 new characters (33 glyphs).
  * Some fixes and improvements (17 characters in various
    sizes/styles).
* Sun Nov 12 2017 zaitor@opensuse.org
- Update to version 4.46.0:
  * Added 50 new characters. Mostly math, but also Buglarian yat
    and yus.
  * Small fixes and improvements (7 characters in various sizes).
* Sat May  7 2016 sor.alexei@meowr.ru
- Update to version 4.40.1 (changes since 4.39):
  * Add 6 combining accents as separate characters.
  * Add 14 letters with dot above / dot below.
  * Add partial subscript and superscript: all digits and 11 letters.
  * Add 30+ math characters, notably large braces, brackets and parens.
  * Add unicode range 2800-28FF in two variants (br1 and br2).
  * A few small character fixes.
  * There now is a Bold Italic variant in order to satisfy some
    applications which refuse to treat Terminus TTF as monospaced
    unless that variant exists. It has the same drawbacks as the
    existing Italic variant: it is generated automatically by
    slanting the Bold variant of Terminus Font, so it is of lower
    quality than the Bold variant.
* Sat Jun 27 2015 sor.alexei@meowr.ru
- Initial package.
